import { UseApiResponse, UseApiParams } from './types';
interface UseMutateApiResponse<TResponse, TError> extends UseApiResponse<TResponse, TError> {
    mutate: <TData>(data: TData) => Promise<void>;
}
interface UseMutationApiParams<TResponse> extends Omit<UseApiParams<any>, 'data'> {
    onSuccess?: (response: TResponse) => void;
}
declare const useMutateApi: <TResponse, TError>({ apiId, apiUrl, headers, method, cacheExpiry, retry, onSuccess, }: UseMutationApiParams<TResponse>) => UseMutateApiResponse<TResponse, TError>;
export { useMutateApi };
